package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class RemoteRobotDetailDTO {

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "上传图片附件", example = "https://www.iocoder.cn")
    private String url;

    @Schema(description = "任务模式（0：锁定、1：正常）", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer robotTaskModel;

    @Schema(description = "车辆状态(2：任务中、3：待命、4:充电中)")
    private Integer robotStatus;

    @Schema(description = "任务号")
    private String taskNo;

    @Schema(description = "车辆模式(0:自动模式, 1:手动模式, 2:自由模式)")
    private Integer remoteMode = 0;
}
