package cn.iocoder.yudao.module.system.controller.admin.informationmapassociation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 设备地图关联新增/修改 Request VO")
@Data
public class InformationMapAssociationSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15277")
    private Long id;

    @Schema(description = "地图id", example = "30278")
    private Long positionMapId;

    @Schema(description = "AGV设备id", example = "11651")
    private Long robotInformationId;

}
