package cn.iocoder.yudao.module.system.controller.admin.robot.warn;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class RobotWarnCodeMappingVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15754")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "告警等级 (1,2,3,4)")
    @ExcelProperty("告警等级 (1,2,3,4)")
    private Integer warnLevel;

    @Schema(description = "能不能继续做任务 (0:不能， 1:能)")
    @ExcelProperty("能不能继续做任务 (0:不能， 1:能)")
    private Integer doTask;

    @Schema(description = "告警编号")
    @ExcelProperty("告警编号")
    private String warnCode;

    @Schema(description = "告警信息")
    @ExcelProperty("告警信息")
    private String warnMsg;

    @Schema(description = "告警解决方法")
    @ExcelProperty("告警解决方法")
    private String warnSolve;
}
