package cn.iocoder.yudao.module.remote.controller.admin.robot.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Builder
@Data
public class RobotDistanceInformationDTO {

    @Schema(description = "车辆编号", example = "28234")
    private String robotNo;

    @Schema(description = "速度", example = "28234")
    public String linearSpeed;

    @Schema(description = "信息", example = "28234")
    public String message;

    @Schema(description = "距离终点的距离", example = "28234")
    private String endDistance;

    @Schema(description = "弧度", example = "28234")
    private String nextRadian;
}
