package cn.iocoder.yudao.module.system.controller.admin.path.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Data
public class SimulationRobotPoseDTO {
    private String mac;

    @Schema(description = "坐标x轴")
    private String locationX;

    @Schema(description = "坐标y轴")
    private String locationY;

    @Schema(description = "实际坐标x轴")
    private String actualLocationX;

    @Schema(description = "实际坐标y轴")
    private String actualLocationY;

    @Schema(description = "地图所在楼")
    public String floor;

    @Schema(description = "地图所在区")
    public String area;

    @Schema(description = "弧度")
    private String locationYaw;
}
